Loading...
Searching...
No Matches
RDKit::FingerprintArguments Class Referenceabstract

Abstract base class that holds molecule independent arguments that are common amongst all fingerprint types and classes inherited from this would hold fingerprint type specific arguments. More...

`#include <FingerprintGenerator.h>`

Inheritance diagram for RDKit::FingerprintArguments:

## Public Member Functions

| FingerprintArguments (bool countSimulation, const std::vector< std::uint32_t > countBounds, std::uint32_t fpSize, std::uint32_t numBitsPerFeature=1, bool includeChirality=false)
virtual std::string | infoString () const =0
| method that returns information string about the fingerprint specific argument set and the arguments themselves
virtual void | toJSON (boost::property_tree::ptree &pt) const
virtual void | fromJSON (const boost::property_tree::ptree &pt)
std::string | commonArgumentsString () const
| method that returns information string about common fingerprinting arguments' values
virtual | ~FingerprintArguments ()
| FingerprintArguments ()=default

## Public Attributes

bool | df_countSimulation = false
bool | df_includeChirality = false
std::vector< std::uint32_t > | d_countBounds
std::uint32_t | d_fpSize = 2048
std::uint32_t | d_numBitsPerFeature = 1

## Detailed Description

Abstract base class that holds molecule independent arguments that are common amongst all fingerprint types and classes inherited from this would hold fingerprint type specific arguments.

Definition at line 90 of file FingerprintGenerator.h.

## Constructor & Destructor Documentation

## FingerprintArguments() [1/2]

RDKit::FingerprintArguments::FingerprintArguments | ( | bool | countSimulation,
|  | const std::vector< std::uint32_t > | countBounds,
|  | std::uint32_t | fpSize,
|  | std::uint32_t | numBitsPerFeature = 1,
|  | bool | includeChirality = false )

## ~FingerprintArguments()

virtual RDKit::FingerprintArguments::~FingerprintArguments | ( |  | ) |

inline virtual

Definition at line 121 of file FingerprintGenerator.h.

## FingerprintArguments() [2/2]

RDKit::FingerprintArguments::FingerprintArguments | ( |  | ) |

default

## Member Function Documentation

## commonArgumentsString()

std::string RDKit::FingerprintArguments::commonArgumentsString | ( |  | ) | const

method that returns information string about common fingerprinting arguments' values

Returns
  std::string information string

## fromJSON()

virtual void RDKit::FingerprintArguments::fromJSON | ( | const boost::property_tree::ptree & | pt | ) |

virtual

Reimplemented in RDKit::AtomPair::AtomPairArguments, RDKit::MorganFingerprint::MorganArguments, RDKit::RDKitFP::RDKitFPArguments, and RDKit::TopologicalTorsion::TopologicalTorsionArguments.

## infoString()

virtual std::string RDKit::FingerprintArguments::infoString | ( |  | ) | const

pure virtual

method that returns information string about the fingerprint specific argument set and the arguments themselves

Returns
  std::string information string

Implemented in RDKit::AtomPair::AtomPairArguments, RDKit::MorganFingerprint::MorganArguments, RDKit::RDKitFP::RDKitFPArguments, and RDKit::TopologicalTorsion::TopologicalTorsionArguments.

## toJSON()

virtual void RDKit::FingerprintArguments::toJSON | ( | boost::property_tree::ptree & | pt | ) | const

virtual

Reimplemented in RDKit::AtomPair::AtomPairArguments, RDKit::MorganFingerprint::MorganArguments, RDKit::RDKitFP::RDKitFPArguments, and RDKit::TopologicalTorsion::TopologicalTorsionArguments.

## Member Data Documentation

## d_countBounds

std::vector<std::uint32_t> RDKit::FingerprintArguments::d_countBounds

Definition at line 99 of file FingerprintGenerator.h.

## d_fpSize

std::uint32_t RDKit::FingerprintArguments::d_fpSize = 2048

Definition at line 100 of file FingerprintGenerator.h.

## d_numBitsPerFeature

std::uint32_t RDKit::FingerprintArguments::d_numBitsPerFeature = 1

Definition at line 101 of file FingerprintGenerator.h.

## df_countSimulation

bool RDKit::FingerprintArguments::df_countSimulation = false

Definition at line 97 of file FingerprintGenerator.h.

## df_includeChirality

bool RDKit::FingerprintArguments::df_includeChirality = false

Definition at line 98 of file FingerprintGenerator.h.

The documentation for this class was generated from the following file:

- FingerprintGenerator.h